#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	gcab
Version		:	1.5
Release		:	16.2.0.rel%{?dist}
Summary		:	Cabinet file library and tool

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://download.gnome.org/sources/gcab

Source0		:	%{name}-%{version}.tar.xz
Patch0		:	%{name}-%{version}-0001-meson-git-version-is-optional.patch

#-----------------------------------------------------------------------------
BuildRequires	:	gobject-introspection
BuildRequires	:	meson
BuildRequires	:	ninja
BuildRequires	:	vala
#-----------------------------------------------------------------------------
%description
gcab is a tool to manipulate Cabinet archive.

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING NEWS
%{_bindir}/%{name}
%{_libdir}/lib%{name}-1.0.so.*
%{_libdir}/girepository-1.0/GCab-1.0.typelib
%{_mandir}/man1/%{name}.1.gz

#=============================================================================
%package		devel
Summary		:	Development files to create Cabinet archives

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
libgcab is a library to manipulate Cabinet archive.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/lib%{name}-1.0/*.h
%{_includedir}/lib%{name}-1.0/lib%{name}/*.h
%{_libdir}/lib%{name}-1.0.so
%{_libdir}/pkgconfig/lib%{name}-1.0.pc
%{_datadir}/gir-1.0/GCab-1.0.gir
%{_datadir}/gtk-doc/html/%{name}/*.png
%{_datadir}/gtk-doc/html/%{name}/style.css
%{_datadir}/vala/vapi/lib%{name}-1.0.vapi
%{_datadir}/vala/vapi/lib%{name}-1.0.deps
%{_datadir}/gtk-doc/html/%{name}/*.html

#=============================================================================
%prep
%setup -q
%patch -P 0 -p1

#-----------------------------------------------------------------------------
#building application
%build

meson							\
	--prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	_build						\


ninja							\
	-C _build

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	ninja						\
		-C _build				\
		install

%find_lang %{name}
#-----------------------------------------------------------------------------
%changelog
